using Netina.Domain.MartenEntities.Faqs;

namespace Netina.AdminPanel.PWA.Services.RestServices;

public interface IFaqApiRest
{
    [Delete("/{id}")]
    Task Delete(Guid id, [Header("Authorization")] string token);

    [Post("")]
    Task Create([Body] BaseFaq faq, [Header("Authorization")] string token);

    [Put("")]
    Task Update([Body] BaseFaq faq, [Header("Authorization")] string token);

    [Get("")]
    Task<List<BaseFaq>> GetFaqs([Query]int page,[Header("Authorization")] string token);

    [Get("/slug")]
    Task<BaseFaq> ReadOne([Query]string slug);
}